
QGIS Application - Bug report #14171

"save as" raster as VRT adds a usless ".tif" to folder output name, output vrt file and ouput tiles

2016-01-26 05:32 AM - Ralf Deuerling

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22173

Description

New description:

see subject

All version > 2.6.* affected.

Moreover the ouput VRT files gives an error when the option "add saved file to map" is left checked (but the vrt file loads ok if manually

added).

Old description:

A few weeks/months ago I could save a WMS to seperate tiles in a folder by right clicking the wms in qgis-layers and choosing "save as".

I've done that several times.

If I try to save a WMS now, the dialog "save as" asks me for a folder just like before. But if I confirm the desired folder, it looks like the

dialog box wants to handle the folder as a file and adds the ".tif" behind the foldername. If I confirm the dialog box, the popup appears,

that tells me that its downloading the tile 1/x. The downloader also creates a folder with the name "foldername"+".tif" with an empty geotif

in it. But in the same time the popup with the download-progress appears, qgis tells me, that there is an error. It tells me that the created

"foldername"+".tif" is not a supported raster source.

I could reproduce the bug on different systems and with the qgis versions 2.12 to 2.12.3 and current 2.8.6 (LTR) and with several wms

sources.

Associated revisions

Revision d69ec2e8 - 2016-06-22 11:12 AM - Jürgen Fischer

save as raster: fix vrt creation (fixes #14171)

Revision 852bd535 - 2016-06-26 10:49 PM - Jürgen Fischer

save as raster: fix vrt creation (fixes #14171)

(cherry picked from commit d69ec2e8bb1c3a4b036f063454f27dff60c4e643)

History

#1 - 2016-02-05 03:39 AM - Giovanni Manghi
- Target version set to Version 2.14

- Affected QGIS version changed from 2.12.2 to master

- Operating System deleted (Windows 7 64bit)

- Subject changed from Saving a WMS doesn't work to "save as" raster as VRT adds a usless ".tif" to folder output name, output vrt file and ouput tiles

- Priority changed from Normal to Severe/Regression

- Category changed from Web Services clients/WMS to Rasters

#2 - 2016-06-22 02:13 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d69ec2e8bb1c3a4b036f063454f27dff60c4e643".
